Improve support for source localization and extension fitting

11/04/2020 12:28 PM - Tibaldo Luigi

Status: New Start date: 11/04/2020

Priority: Normal Due date:  

Assigned To: Di Venere Leonardo % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Create dedicated functions/scripts for localization and extension fitting and add dedicated tutorial

History

#1 - 02/03/2021 02:12 PM - Tibaldo Luigi

- Assigned To changed from Tibaldo Luigi to Di Venere Leonardo

#2 - 02/03/2021 02:32 PM - Di Venere Leonardo

Main idea of the implementation: create a cscript (csextension), inheriting from csobservation.

General parameters:

observation parameters (same as ctlike)

fitting parameters (ex: "statistic" parameter)

Extension specific parameters

source name

localization flag (whether of not fit the position)

extension flag (whether of not fit the extension)

extended model (disk/gaussian/...)

#3 - 02/04/2021 02:29 PM - Di Venere Leonardo

Additional features to be added:

calculate ts_extension = 2* (logL_extended - logL_pointsource)

exended source vs multiple point-like sources

extension fit in energy bins

#4 - 03/15/2022 12:49 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)
